php-symfony-twig-bridge-2.3.42-2.el6.noarch.rpm


Advertisement

Description

php-symfony-twig-bridge - Symfony Twig Bridge

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package filename php-symfony-twig-bridge-2.3.42-2.el6.noarch.rpm
Package name php-symfony-twig-bridge
Package version 2.3.42
Package release 2.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://symfony.com
License MIT
Maintainer -
Download size 29.35 KB
Installed size 84.86 KB
Provides integration for Twig [1] with various Symfony components.
[1] http://twig.sensiolabs.org/

Alternatives

Package Version Architecture Repository
php-symfony-twig-bridge-2.8.51-2.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-twig-bridge-2.8.51-2.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-twig-bridge-2.8.51-1.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-twig-bridge-2.8.51-1.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-twig-bridge-2.3.42-2.el6.noarch.rpm 2.3.42 noarch EPEL
php-symfony-twig-bridge - - -

Requires

Name Value
php-composer(symfony/finder) = 2.3.42
php-composer(symfony/form) = 2.3.42
php-composer(symfony/http-kernel) = 2.3.42
php-composer(symfony/routing) = 2.3.42
php-composer(symfony/security) = 2.3.42
php-composer(symfony/templating) = 2.3.42
php-composer(symfony/translation) = 2.3.42
php-composer(symfony/yaml) = 2.3.42
php-composer(twig/twig) >= 1.23
php-composer(twig/twig) < 3.0
php-pcre -
php-spl -

Provides

Name Value
php-composer(symfony/twig-bridge) = 2.3.42
php-pear(pear.symfony.com/TwigBridge) = 2.3.42
php-symfony-twig-bridge = 2.3.42-2.el6
php-symfony-twigbridge = 2.3.42

Obsoletes

Name Value
php-symfony-twigbridge < 2.3.42

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package php-symfony-twig-bridge-2.3.42-2.el6.noarch.rpm
Source Package php-symfony-2.3.42-2.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install php-symfony-twig-bridge rpm package:
    # yum install php-symfony-twig-bridge

Files

Path
/usr/share/doc/php-symfony-twig-bridge-2.3.42/CHANGELOG.md
/usr/share/doc/php-symfony-twig-bridge-2.3.42/LICENSE
/usr/share/doc/php-symfony-twig-bridge-2.3.42/README.md
/usr/share/doc/php-symfony-twig-bridge-2.3.42/composer.json
/usr/share/php/Symfony/Bridge/Twig/TwigEngine.php
/usr/share/php/Symfony/Bridge/Twig/autoload.php
/usr/share/php/Symfony/Bridge/Twig/autoloader.php
/usr/share/php/Symfony/Bridge/Twig/Extension/CodeExtension.php
/usr/share/php/Symfony/Bridge/Twig/Extension/FormExtension.php
/usr/share/php/Symfony/Bridge/Twig/Extension/HttpKernelExtension.php
/usr/share/php/Symfony/Bridge/Twig/Extension/RoutingExtension.php
/usr/share/php/Symfony/Bridge/Twig/Extension/SecurityExtension.php
/usr/share/php/Symfony/Bridge/Twig/Extension/TranslationExtension.php
/usr/share/php/Symfony/Bridge/Twig/Extension/YamlExtension.php
/usr/share/php/Symfony/Bridge/Twig/Form/TwigRenderer.php
/usr/share/php/Symfony/Bridge/Twig/Form/TwigRendererEngine.php
/usr/share/php/Symfony/Bridge/Twig/Form/TwigRendererEngineInterface.php
/usr/share/php/Symfony/Bridge/Twig/Form/TwigRendererInterface.php
/usr/share/php/Symfony/Bridge/Twig/Node/FormEnctypeNode.php
/usr/share/php/Symfony/Bridge/Twig/Node/FormThemeNode.php
/usr/share/php/Symfony/Bridge/Twig/Node/RenderBlockNode.php
/usr/share/php/Symfony/Bridge/Twig/Node/SearchAndRenderBlockNode.php
/usr/share/php/Symfony/Bridge/Twig/Node/TransDefaultDomainNode.php
/usr/share/php/Symfony/Bridge/Twig/Node/TransNode.php
/usr/share/php/Symfony/Bridge/Twig/NodeVisitor/Scope.php
/usr/share/php/Symfony/Bridge/Twig/NodeVisitor/TranslationDefaultDomainNodeVisitor.php
/usr/share/php/Symfony/Bridge/Twig/NodeVisitor/TranslationNodeVisitor.php
/usr/share/php/Symfony/Bridge/Twig/Resources/
/usr/share/php/Symfony/Bridge/Twig/Resources/views/
/usr/share/php/Symfony/Bridge/Twig/Resources/views/Form/form_div_layout.html.twig
/usr/share/php/Symfony/Bridge/Twig/Resources/views/Form/form_table_layout.html.twig
/usr/share/php/Symfony/Bridge/Twig/TokenParser/FormThemeTokenParser.php
/usr/share/php/Symfony/Bridge/Twig/TokenParser/TransChoiceTokenParser.php
/usr/share/php/Symfony/Bridge/Twig/TokenParser/TransDefaultDomainTokenParser.php
/usr/share/php/Symfony/Bridge/Twig/TokenParser/TransTokenParser.php
/usr/share/php/Symfony/Bridge/Twig/Translation/TwigExtractor.php

Changelog

2019-06-19 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-2
- Disable tests by default (follows php-symfony3 and php-symfony4 pkgs)
- Always require build dependencies
- Remove php-composer(paragonie/random_compat) version constraint
2016-09-30 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-1
- Updated to 2.3.42
- CVE-2015-8124
- CVE-2015-8125
- CVE-2016-1902, RHBZ #1340830, RHBZ #1340831
- CVE-2016-4423, RHBZ #1340833, RHBZ #1340834
2015-07-13 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.31-1
- Updated to 2.3.31
- Fixed autoloader
2015-06-06 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.30-1
- Updated to 2.3.30 (BZ #1227264, 1227266)
- CVE-2015-4050, CVE-2015-2308, CVE-2015-2309, CVE-2014-6072, CVE-2014-5245,
CVE-2014-4931, CVE-2014-6061, CVE-2014-5244
- Updated dependencies to use php-composer()
- Added php-composer(symfony/*) provides
- Added autoloaders
2014-01-05 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.9-1
- Updated to 2.3.9 (BZ #1038134)
- Conditional %{?dist}
- Minor bash cosmetic changes
- Skip additional test relying on external resources
- Skip additional el6 test
2013-12-18 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.8-1
- Updated to 2.3.8 (BZ #1038134)
- Temporarily skip test known to fail on Fedora > 20
2013-12-14 - Remi Collet <remi@fedoraproject.org> - 2.3.7-4
- fix PEAR compatibility: add missing "autoloader.php"
2013-11-26 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-3
- Fixed several summaries and descriptions ("Symfony2" => "Symfony")
2013-11-22 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-2
- Renamed from "php-symfony2" to "php-symfony"
- Updated main pkg summary
- Removed dependency on common sub-pkg for sub-pkgs that require other sub-pkgs
- Common sub-pkg obsoletes php-channel-symfony2
- Fixed swiftmailerbridge sub-pkg dependency
- Updated %check to use PHPUnit's "--include-path" option
2013-11-17 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-1
- Updated to 2.3.7
- Separated icu pkg
- Added php-composer(ircmaxell/password-compat) requires for el6 (PHP < 5.5.0)
- common sub-pkg now owns %{symfony_dir}/{Bridge,Bundle,Component}
- Fixed classloader URL

See Also

Package Description
php-symfony-twig-bundle-2.3.42-2.el6.noarch.rpm Symfony Twig Bundle
php-symfony-validator-2.3.42-2.el6.noarch.rpm Symfony Validator Component
php-symfony-web-profiler-bundle-2.3.42-2.el6.noarch.rpm Symfony WebProfiler Bundle
php-symfony-yaml-2.3.42-2.el6.noarch.rpm Symfony Yaml Component
php-tcpdf-6.2.26-1.el6.noarch.rpm PHP class for generating PDF documents and barcodes
php-tcpdf-dejavu-lgc-sans-fonts-6.2.26-1.el6.noarch.rpm DejaVu LGC sans-serif fonts for tcpdf
php-tcpdf-dejavu-lgc-sans-mono-fonts-6.2.26-1.el6.noarch.rpm DejaVu LGC mono-spaced fonts for tcpdf
php-tcpdf-dejavu-lgc-serif-fonts-6.2.26-1.el6.noarch.rpm DejaVu LGC serif fonts for tcpdf
php-tcpdf-dejavu-sans-fonts-6.2.26-1.el6.noarch.rpm DejaVu sans-serif fonts for tcpdf
php-tcpdf-dejavu-sans-mono-fonts-6.2.26-1.el6.noarch.rpm DejaVu mono-spaced fonts for tcpdf
php-tcpdf-dejavu-serif-fonts-6.2.26-1.el6.noarch.rpm DejaVu serif fonts for tcpdf
php-tcpdf-gnu-free-mono-fonts-6.2.26-1.el6.noarch.rpm GNU FreeFonts mono-spaced for tcpdf
php-tcpdf-gnu-free-sans-fonts-6.2.26-1.el6.noarch.rpm GNU FreeFonts sans-serif for tcpdf
php-tcpdf-gnu-free-serif-fonts-6.2.26-1.el6.noarch.rpm GNU FreeFonts serif for tcpdf
php-tecnickcom-tc-lib-barcode-1.5.0-1.el6.noarch.rpm PHP library to generate linear and bidimensional barcodes
Advertisement
Advertisement